#
########################################################################
#
# xcrvfit startup script
# usage: wish main.tcl
#
# Robert Boyko
# Jul 2007 - software re-organization, multiple plotting support
#
# Robert Boyko
# Feb 2004 - completely revised
#
# Tim Jellard 
# June 1996 - Graphics from sunview to x11.
#
########################################################################

# Try to minimize anti-aliasing. Don't set num_points too high.
set tk::mac::CGAntialiasLimit 1
 
set xcv(APP)			"xcrvfit"
set xcv(VERSION)		"v4.0.12"
set xcv(VERSION_DATE)	"Jan 2008"
set xcv(NAME)			"$xcv(APP)-$xcv(VERSION)"
set xcv(AQUA) 			"$xcv(NAME).app/Contents/Resources/Scripts"

#
# look for installation directory if not set 
#
if [ catch {set xcv(PROG_HOME) [exec printenv XCRVFIT_HOME]} err] {

	set path "/Applications/$xcv(AQUA)"
	if ![ catch {set mhome [exec printenv HOME]} err] {
		set path "$mhome/$xcv(AQUA) $path"
		set path "$mhome/Applications/$xcv(AQUA) $path"
		set path "$mhome/Desktop/$xcv(AQUA) $path"
	}

	# look for the software
	set xcv(PROG_HOME) 0
	foreach loc $path {
		if [file isdirectory $loc] {
			set xcv(PROG_HOME) $loc
			break
		}
	}

	# didn't find it
	if { $xcv(PROG_HOME) == 0 } {
		puts stdout "Cannot find $xcv(NAME). Please place xcrvfit in Applications or on the desktop."
		exit
	}
}

if { [file tail $xcv(PROG_HOME)] == "Scripts" } {
	set xcv(os) AQUA
} else {
	set xcv(os) X11
}

if [ catch {set xcv(MY_HOME) [exec printenv PWD]} err] {
	if [ catch {set xcv(MY_HOME) [exec printenv HOME]} err] {
		puts stdout "Cannot find user current or home directory. Not sure where to write temp files. Please notify the authors. Thanks."
		exit
	}
}

# add main tcl modules
source $xcv(PROG_HOME)/tcl/unix.tcl
source $xcv(PROG_HOME)/tcl/init.tcl
source $xcv(PROG_HOME)/tcl/data.tcl
source $xcv(PROG_HOME)/tcl/function.tcl
source $xcv(PROG_HOME)/tcl/calc.tcl
source $xcv(PROG_HOME)/tcl/plot.tcl
source $xcv(PROG_HOME)/tcl/settings.tcl
source $xcv(PROG_HOME)/tcl/layout.tcl
source $xcv(PROG_HOME)/tcl/help.tcl
source $xcv(PROG_HOME)/tcl/options.tcl
source $xcv(PROG_HOME)/tcl/gridfit.tcl
source $xcv(PROG_HOME)/tcl/mfit.tcl
source $xcv(PROG_HOME)/tcl/util.tcl

wm withdraw .
xcrvfit_main
destroy .
